First Strike is a Star Wars total conversion modification for Battlefield 2142. The goal of First Strike is to totally immerse the players into the amazing universe of Star Wars by presenting the most accurate representations of famous Star Wars locales, weapons, and characters, and combining them with exciting, fast paced gameplay and features new to the Battlefield scene. Within this mod you'll find yourself as a soldier of the Galactic Empire or as a freedom fighter for the Rebel Alliance. You'll fight across lovingly detailed recreations of various Star Wars locations with a wide array of weapons and vehicles.

Report content New First Strike Launcher Installer
Filename
FS_LauncherSetup1_6_6.exe
Category
Patch
Uploader
TALON_UK
Date
Size
1020.31kb (1,044,793 bytes)
Downloads
1,728 (3 today)
Embed Button
Mirrors
Download now
Description

New Launcher to be used with First Strike mod. New improved launcher to provide faster update downloads. Can be used to update a current First Strike 1.55 build up to the new 1.6. Note: This is not the full mod, First Strike 1.5 Full Installer also required.

Preview
New First Strike Launcher Installer
Post comment Comments
Cpt.Dann
Cpt.Dann

Oh man, just after my BF2142 stopped working >.< I NEED TO FIND THAT GOD DAMN DISK!

Reply Good karma Bad karma+3 votes
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

TALON_UK Author
TALON_UK

Sorry you feel the new launcher looks bland, yeah it isn't as pretty as the old one, but with this one we were going more for the functionality and technical improvements rather than aesthetics. Technically this thing is much better and should make running the mod and installing updates much smoother.

Reply Good karma+4 votes
Boba21Fett
Boba21Fett

can't find ModUpdater.exe will not update

Reply Good karma Bad karma+2 votes
Wulfburk12
Wulfburk12

yep this has has been happening to me too, and tried the manual patch afte reinstalling 1.5 but it crashes when the map loads. Guess i'll just wait for the full release

Reply Good karma Bad karma+1 vote
TALON_UK Author
TALON_UK

When you have installed 1.5 you need to let the launcher auto update you to 1.55. Then you can use the manual patch to 1.6. If you haven't updated from 1.5 to 1.55 prior to trying to install the 1.6 patch? It won't work. Your best off just auto updating from 1.5 and allowing the auto updater in the launcher to get you bang up to date with 1.6.

Reply Good karma+1 vote
Wulfburk12
Wulfburk12

Ah yeah i have done that and it worked, installed 1.5 and then run hte launcher and left it updating it all, no crashes so fora!

Reply Good karma Bad karma+2 votes
TALON_UK Author
TALON_UK

Cool, yeah, if you follow those instructions you should be all good.

Reply Good karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Post a comment

You are not logged in, your comment will be anonymous unless you join the community. Or sign in with your social account:

Icon
Battlefield 2142
Contact
Send Message
Homepage
Fsmod.com
Release date
Mod watch
Start tracking
Download
Browse
Downloads
MD5 Hash
19dc96337f3fb173c37c8141364ed6a7
Share
Related Games
Battlefield 2142
Battlefield 2142 First Person Shooter
Related Groups
First Strike Development Team
First Strike Development Team Developer & Publisher with 9 members
Star Wars Battlefront Three
Star Wars Battlefront Three Fans & Clans with 289 members
Star Wars Fan Group
Star Wars Fan Group Hobbies & Interests with 972 members